org.apache.maven.scm.command.branch

## Class BranchScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.branch.BranchScmResult

- All Implemented Interfaces:
    Serializable

      public class BranchScmResult
      extends ScmResult

  Version:
    $Id: BranchScmResult.java 526209 2007-04-06 15:57:34Z evenisse $
  Author:
    Emmanuel Venisse
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BranchScmResult(List branchedFiles, ScmResult result)`
    `BranchScmResult(String commandLine, List branchedFiles)`
    `BranchScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getBranchedFiles()`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BranchScmResult

          public BranchScmResult(String commandLine,
                         String providerMessage,
                         String commandOutput,
                         boolean success)

    - #### BranchScmResult

          public BranchScmResult(String commandLine,
                         List branchedFiles)

    - #### BranchScmResult

          public BranchScmResult(List branchedFiles,
                         ScmResult result)

  - ### Method Detail

    - #### getBranchedFiles

          public List getBranchedFiles()

Copyright © 2003–2015. All rights reserved.